Skip to main content
POST
https://api.useadam.io/v1/adam
/
bank-transactions
/
upload
Create bank transactions (AI)
curl --request POST \
  --url https://api.useadam.io/v1/adam/bank-transactions/upload \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "prompt": "Record debit 2024-01-10 -250.00 Office supplies STAPLES ref 7788; credit 2024-01-12 +2000.00 ACH Client ACME",
  "bank": "your-bank-uuid-here",
  "process_type": "async"
}
'
{
  "status": "success",
  "message": "Bank transaction import queued for processing",
  "data": {
    "process_type": "async",
    "job_reference": "job_01HZXK8QBANKTX"
  }
}

Authorizations

X-API-Key
string
header
default:your_tyms_sk_or_partner_key
required

Business secret tyms_sk_... for all routes except Register business, which expects your partner secret.

Body

application/json
prompt
string
required
attachments
object[]
bank
string

Bank account UUID.

text_attachment
string
process_type
enum<string>
Available options:
async,
direct
apply_adam_rule
boolean
default:true
date_format
string
default:Y-m-d
bank_statement_uuid
string

Response

Import queued (async) or extracted rows returned (direct)

status
string
required
Example:

"success"

message
string
required
data
any

Single resource, array of resources, statement sections, or async job metadata — see each operation's example.

meta
object

Pagination (page, limit, total) and/or report range (from, to). Cash flow may include previous_period_end.